package com.docus.server.collect.dept;

import com.docus.server.collect.service.IHttpDeptCollectService;
import com.docus.server.sys.common.pojo.dto.DeptDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class HttpDeptCollectServiceImpl implements IHttpDeptCollectService {
    @Override
    public List<DeptDTO> getDepts(Date startDate, Date endDate, long pageNum, long pageSize) {
        DeptDTO deptDTO = new DeptDTO();
        deptDTO.setAuthorId("1");
        deptDTO.setAuthorName("admin");
        deptDTO.setDeptCode("1");
        deptDTO.setDeptName("测试1科");
        deptDTO.setMessageId("1");
        deptDTO.setOperateType("save");
        deptDTO.setReceiver("admin");

        DeptDTO deptDTO1 = new DeptDTO();
        deptDTO1.setAuthorId("2");
        deptDTO1.setAuthorName("admin2");
        deptDTO1.setDeptCode("2");
        deptDTO1.setDeptName("测试2科");
        deptDTO1.setMessageId("2");
        deptDTO1.setOperateType("save2");
        deptDTO1.setReceiver("admin2");
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
